# CheckerboardMaterialProperty

#### new Cesium.CheckerboardMaterialProperty(options)
DataSources/CheckerboardMaterialProperty.js 23

A `MaterialProperty` that maps to checkerboard `Material` uniforms.

Name | Type | Description
--- | --- | ---
`options` | Object | optional Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`evenColor` | Property | Color | `Color.WHITE` | optional A Property specifying the first `Color`.
`oddColor` | Property | Color | `Color.BLACK` | optional A Property specifying the second `Color`.
`repeat` | Property | Cartesian2 | `new Cartesian2(2.0, 2.0)` | optional A `Cartesian2` Property specifying how many times the tiles repeat in each direction.

### Members

#### readonly definitionChanged : Event
DataSources/CheckerboardMaterialProperty.js 67

Gets the event that is raised whenever the definition of this property changes. The definition is considered to have changed if a call to getValue would return a different result for the same time.

#### evenColor : Property|undefined
DataSources/CheckerboardMaterialProperty.js 79

Gets or sets the Property specifying the first `Color`.

Default Value: `Color.WHITE`

#### readonly isConstant : Boolean
DataSources/CheckerboardMaterialProperty.js 48

Gets a value indicating if this property is constant. A property is considered constant if getValue always returns the same result for the current definition.

#### oddColor : Property|undefined
DataSources/CheckerboardMaterialProperty.js 87

Gets or sets the Property specifying the second `Color`.

Default Value: `Color.BLACK`

#### repeat : Property|undefined
DataSources/CheckerboardMaterialProperty.js 95

Gets or sets the `Cartesian2` Property specifying how many times the tiles repeat in each direction.

Default Value: `new Cartesian2(2.0, 2.0)`

### Methods

#### equals(other) → Boolean
DataSources/CheckerboardMaterialProperty.js 142

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getType(time) → String
DataSources/CheckerboardMaterialProperty.js 104

Gets the `Material` type at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the type.

##### Returns:

The type of material.

#### getValue(time, result) → Object
DataSources/CheckerboardMaterialProperty.js 115

Gets the value of the property at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`result` | Object | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.